petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCoarsenCreate

Creates a coarsen context.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenCreate(MPI_Comm comm, MatCoarsen *newcrs)

Collective on MPI_Comm

### Input Parameter

comm -MPI communicator

### Output Parameter

newcrs -location to put the context

### Keywords

Coarsen, create, context

### See Also

MatCoarsenSetType(), MatCoarsenApply(), MatCoarsenDestroy(),
MatCoarsenSetAdjacency()

Level:beginner
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages